// IGeneratorListener.h
//

#if !defined(_IGENERATORLISTENER_H_)
#define _IGENERATORLISTENER_H_

#include "cmString.h"

class IGeneratorListener
{
public:
	virtual void OnNewTask(const cmString& label) = 0;
	virtual void OnTaskUpdate(const cmString& label) = 0;
	virtual void OnTaskComplete(const cmString& label) = 0;
	virtual void OnTaskFailed(const cmString& label) = 0;
	virtual void OnTaskDisabled(const cmString& label) = 0;
};

#endif //!defined(_IGENERATORLISTENER_H_)